Subject: Re: bug#37633: Column part interpreted wrong in compilation mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Oct 2019 19:16:53 +0300

> Date: Sat, 05 Oct 2019 19:08:21 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > Suggested solution: Use byte-to-position to calculate the position in 
> > compilation-move-to-column.
> 
> This only works in UTF-8 locales, and is not 100% even there, so it
> isn't the right solution.

In general, byte-to-position is meant to be used only for converting
between byte and character positions of text in Emacs buffers.

For byte offsets in external text we have bufferpos-to-filepos, but
that requires us to know the encoding of the external text.  We need
to find a reasonable way of getting that.  Suggestions and patches
welcome.